\ ?EXIT is geen standaard, wel handig

decimal
\ char a char A - . [rtn] 32  ok


\ ----- 1 -----

: hoofdletter ( ch -- CH )
  [char] z over <
  over [char] a <
  or ?exit
  32 - ;


\ beter:

: hoofdletter ( ch -- CH )
  dup [char] a  < ?exit
  [char] z over < ?exit
  32 - ;



\ ----- 2 -----

: hoofdletter ( ch -- CH )
  dup
  [char] a   dup 26 +
  within if 32 - then ;


\ beter:

: hoofdletter ( ch -- CH )
  dup
  [char] a   [ char a 26 + ] literal
  within if bl - then ;


\ en hoe zit dit?

: hoofdletter ( ch -- CH )
  dup
  [ char a  dup 26 + ] literal literal
  within ?exit
  bl xor ;


\ ----- 3 -----

: hoofdletter ( ch -- CH )
  dup
  [char] a -
  26 u<
  bl and
  - ;

\ ---